Anonymous Login
2019-12-14 04:54 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001305v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
ReporterGQQSER 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001305: back slash added at each time parenthesis added
DescriptionIn the task description and in the task logs, each instance of " will cause a \ to be entered before it. So if I were to type 38", it would appear 38\" everywhere.
Sometimes there are multiple backslashes such as 38\\\"
Additional InformationThis anomaly happens whether I type or cut & paste.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002904

caseydk (administrator)

Resolved: https://github.com/web2project/web2project/commit/df02a7ad3589a07ee97c74c7801145e733dd28b2

~0002907

GQQSER (reporter)

I am still getting the hash marks after I have applied the fix. I tried clearing my cache, I updated the file several times and I still have this issue. There maybe some other reason I am not familiar with.

~0002918

caseydk (administrator)

What version of PHP are you using? Do you have magic quotes or something similar enabled?

Also, my fix will not undo previously modified data.. just prevent it from being modified in the future.

~0002925

GQQSER (reporter)

Apache version 2.2.24
PHP version 5.2.17
MySQL version 5.5.31-log
Architecture x86_64
Operating system linux

You were right, problem was resolved had this in my php.ini file:

; Magic quotes
magic_quotes_gpc =on ; magic quotes for incoming GET/POST/Cookie data
magic_quotes_runtime =Off ; magic quotes for runtime-generated data, e.g. data from SQL, from exec(), etc.
magic_quotes_sybase =Off ; Use Sybase-style magic quotes (escape ' with '' instead of \')

Problem resolved the first time. Sometimes I feel like caveman beating on a stone tablet. Sorry for the doubting.

~0002926

caseydk (administrator)

Absolutely no worries. It took me a while to come up with that possibility, so it was a good reminder of what else could be out there that I should watch for. :)
+Notes

-Issue History
Date Modified Username Field Change
2013-04-26 05:16 GQQSER New Issue
2013-05-22 23:06 caseydk Note Added: 0002904
2013-05-22 23:06 caseydk Status new => resolved
2013-05-22 23:06 caseydk Resolution open => fixed
2013-05-22 23:06 caseydk Assigned To => caseydk
2013-05-23 14:39 GQQSER Note Added: 0002907
2013-05-23 14:39 GQQSER Status resolved => feedback
2013-05-23 14:39 GQQSER Resolution fixed => reopened
2013-06-01 21:32 caseydk Note Added: 0002918
2013-06-02 06:40 GQQSER Note Added: 0002925
2013-06-02 17:57 caseydk Note Added: 0002926
2013-06-02 17:57 caseydk Status feedback => resolved
2013-06-02 17:57 caseydk Resolution reopened => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History